//
//  NSAlert+SMBlocks.h
//  Drawings
//
//  Created by Stephan Michels on 27.01.13.
//  Copyright (c) 2013 Stephan Michels Softwareentwicklung und Beratung. All rights reserved.
//

#import <Cocoa/Cocoa.h>

// from CocoaTipsAndTricks sample
// http://developer.apple.com/library/mac/#samplecode/CocoaTipsAndTricks
// and from https://github.com/bewebste/SheetBlocks

typedef void (^NSAlertDismissBlock)(NSInteger buttonIndex);
typedef void (^NSAlertCancelBlock)();
typedef void (^NSAlertCompletionBlock)(NSInteger returnCode);

@interface NSAlert (SMBlocks)

+ (instancetype)showSheetModalForWindow:(NSWindow *)window
                                message:(NSString *)message
                        informativeText:(NSString *)text
                             alertStyle:(NSAlertStyle)style
                      cancelButtonTitle:(NSString *)cancelButtonTitle
                      otherButtonTitles:(NSArray *)otherButtons
                              onDismiss:(NSAlertDismissBlock)dismissed
                               onCancel:(NSAlertCancelBlock)cancelled;

+ (instancetype)showSheetModalForWindow:(NSWindow *)window
                                message:(NSString *)message
                        informativeText:(NSString *)text
                             alertStyle:(NSAlertStyle)style
					   suppressionTitle:(NSString *)suppressionTitle
				 suppressionDefaultsKey:(NSString *)suppressionDefaultsKey
                      cancelButtonTitle:(NSString *)cancelButtonTitle
                      otherButtonTitles:(NSArray *)otherButtons
                              onDismiss:(NSAlertDismissBlock)dismissBlock
                               onCancel:(NSAlertCancelBlock)cancelBlock;

- (void)beginSheetModalForWindow:(NSWindow *)window
					  completion:(NSAlertCompletionBlock)completion;

@end