//
//  SMBindingObservation.h
//  SMObservation
//
//  Created by Stephan Michels on 22.11.12.
//  Copyright (c) 2012 Stephan Michels. All rights reserved.
//

#import <AppKit/AppKit.h>
#import "SMCancellable.h"
#import "SMMacros.h"


SMConstantExtern(SMNilOnCancelBindingOption);

@interface SMBindingObservation : NSObject <SMCancellable>

@property (nonatomic, unsafe_unretained, readonly) id object;
@property (nonatomic, copy, readonly) NSString *bindingName;
@property (nonatomic, unsafe_unretained, readonly) id targetObject;
@property (nonatomic, copy, readonly) NSString *keyPath;
@property (nonatomic, copy, readonly) NSDictionary *options;

+ (instancetype)bindingWithObject:(id)object
                          forName:(NSString *)bindingName
                         toObject:(id)targetObject
                      withKeyPath:(NSString *)keyPath
                          options:(NSDictionary *)options;

@end
