//
//  SMDeclarativeInspectorGenerator.h
//  SMInspectorKit
//
//  Created by Stephan Michels on 08.12.12.
//  Copyright (c) 2012 Stephan Michels. All rights reserved.
//

#import <Foundation/Foundation.h>


@class SMTabbedInspector, SMInspectorPane, SMInspectorSlice, SMInspectorConfiguration, SMInspectorProperty;
@protocol SMDeclarativeInspectorGeneratorDelegate;

@interface SMDeclarativeInspectorGenerator : NSObject

@property (nonatomic, strong) NSURL *url;
@property (nonatomic, weak) id owner;
@property (nonatomic, weak) id<SMDeclarativeInspectorGeneratorDelegate> delegate;

- (SMTabbedInspector *)createTabbedInspector;
- (SMInspectorPane *)createPane;
- (SMInspectorSlice *)createSlice;

@end

@protocol SMDeclarativeInspectorGeneratorDelegate <NSObject>

@optional
- (SMInspectorProperty *)declarativeInspectorGenerator:(SMDeclarativeInspectorGenerator *)generator
						createPropertyForConfiguration:(SMInspectorConfiguration *)configuration;

@end