//
//  SMPrioritySplitViewItem.h
//  Drawings
//
//  Created by Stephan Michels on 18.02.12.
//  Copyright (c) 2012 Stephan Michels Softwareentwicklung und Beratung. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface SMPrioritySplitViewItem : NSObject <NSCoding>

@property (nonatomic) CGFloat minLength;
@property (nonatomic) CGFloat maxLength;
@property (nonatomic) NSUInteger priorityIndex;
@property (nonatomic, getter = isCollapsible) BOOL collapsible;

- (instancetype)initWithMinLength:(CGFloat)minLength
                        maxLength:(CGFloat)maxLength
                    priorityIndex:(NSUInteger)priorityIndex
                      collapsible:(BOOL)collapsible;
+ (instancetype)prioritySplitViewItemWithMinLength:(CGFloat)minLength
                                         maxLength:(CGFloat)maxLength
                                     priorityIndex:(NSUInteger)priorityIndex
                                       collapsible:(BOOL)collapsible;

@end
