//
//  SMView.m
//  Drawings
//
//  Created by Stephan Michels on 19.01.10.
//  Copyright (c) 2011 Stephan Michels Softwareentwicklung und Beratung. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@class SMViewController;
@protocol SMControllerViewDelegate;


@interface SMView : NSView

// default is NULL -> no background drawn
@property (nonatomic, strong) NSColor *backgroundColor;
@property (nonatomic, strong) NSColor *borderColor;
@property (nonatomic, readwrite, getter = isFlipped) BOOL flipped;
@property (nonatomic, readwrite, getter = isOpaque) BOOL opaque;

@property (nonatomic, weak) NSViewController<SMControllerViewDelegate> *viewController;
@property (nonatomic, getter = isInstalled, readonly) BOOL installed;

- (void)viewDidInstall NS_REQUIRES_SUPER;
- (void)viewWillUninstall NS_REQUIRES_SUPER;

@end


@protocol SMControllerViewDelegate

- (void)viewDidInstall;
- (void)viewWillUninstall;
- (void)updateConstraints;
- (void)layout;

@end
