//
//  SMViewController.h
//  Drawings
//
//  Created by Stephan Michels on 14.04.12.
//  Copyright (c) 2011 Stephan Michels Softwareentwicklung und Beratung. All rights reserved.
//

#import <Cocoa/Cocoa.h>

// Original source from: http://katidev.com/blog/2008/04/17/nsviewcontroller-the-new-c-in-mvc-pt-2-of-3/
// and from https://github.com/cparnot/MTVIewController

@class SMWindowController;

@interface SMViewController : NSViewController

@property (nonatomic, readonly) NSString *viewNibName;
@property (nonatomic, getter = isViewLoaded, readonly) BOOL viewLoaded;
@property (nonatomic, getter = isViewInstalled, readonly) BOOL viewInstalled;

- (void)viewWillLoad;
- (void)viewDidLoad;
- (void)viewWillUnload;
- (void)viewDidUnload;

- (void)viewWillUninstall;
- (void)viewDidInstall;

#pragma mark - Layout

- (void)updateConstraints;
- (void)layout;

@end
